#pragma once

#include "Vec2.h"

class RectF
{
public:
	RectF() = default;
	RectF(float in_top, float in_right, float in_bottom, float in_left);
	RectF(const Vec2& topLeft, const Vec2& bottomRight);
	RectF(const Vec2& topLeft, float width, float height);
	static RectF FromCenter(const Vec2& center, float halfWidth, float halfHeight);
public:
	float top;
	float right;
	float bottom;
	float left;
};